SystemOrganization addCategory: #'Orange-Tests'!

!ALJsonRenderer methodsFor: '*orange-tests' stamp: 'chc 10/25/2015 11:22'!
writer 
	^writer! !

!ALJsonWriter methodsFor: '*orange-tests' stamp: 'chc 10/25/2015 11:22'!
stream
	^stream! !

TestCase subclass: #ALAjaxCounterComponentTest
	instanceVariableNames: 'component renderer'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Tests'!

!ALAjaxCounterComponentTest methodsFor: 'as yet unclassified' stamp: 'chc 10/23/2015 10:56'!
setUp
	| stream context locator  |
	component := ALAjaxCounterComponent new. 

	stream := String new writing.
	locator := ALRestfulLocator sequential.
	context := ALRenderingContext resource: self locator: locator.
	renderer := ALJsonRenderer context: context stream: stream.
! !

!ALAjaxCounterComponentTest methodsFor: 'as yet unclassified' stamp: 'chc 10/25/2015 11:29'!
testRender
	| json therendered |
	json := '{"count":"0","dec":"/0","inc":"/1"}'.
	component renderOn: renderer.
	therendered := renderer writer stream contents.
! !

TestCase subclass: #ORAjaxWikiComponentTest
	instanceVariableNames: 'component renderer'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Tests'!

!ORAjaxWikiComponentTest methodsFor: 'as yet unclassified' stamp: 'chc 10/25/2015 11:54'!
setUp
	| stream context locator  |
	component := ORAjaxWikiComponent new. 

	stream := String new writing.
	locator := ALRestfulLocator sequential.
	context := ALRenderingContext resource: self locator: locator.
	renderer := ALJsonRenderer context: context stream: stream.
! !

!ORAjaxWikiComponentTest methodsFor: 'as yet unclassified' stamp: 'chc 10/27/2015 10:59'!
testBold
	| json therendered |
	json := '{"html":"<b>One of our submarines is missing tonight</b>"}'.
	component renderOn: renderer.
	therendered := renderer writer stream contents.
! !

TestCase subclass: #PEGArithmeticEvaluatorTest
	instanceVariableNames: 'parser'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Tests'!

!PEGArithmeticEvaluatorTest commentStamp: '<historical>' prior: 0!
A terminal here is an OrderedCollection that does not contain another OrderedCollection. A terminal's contents is chars or strings. In the #grammarWiki that could be: 

Bold <- "*" Flow{"*"}

Angle brackets (i.e. {}) show that something is optional. To create a bold word you need an asterisk befor a or line. It will not contain any further OrderedCollections.  !

!PEGArithmeticEvaluatorTest methodsFor: 'private' stamp: 'chc 7/27/2015 16:10'!
setUp
	| grammar |
	grammar := '
               Number                <- [0-9]+
               Parenthesised      <- "(" Expr ")"
               Value                   <- Number / Parenthesised
               Product                <- Value (("*" / "/") Value)*
               Sum                     <- Product (("+" / "-") Product)*
               Expr                     <- Sum
                '.
	parser := PEGParser parserPEG parse: 'Grammar' stream: grammar actor: PEGParserParser new.
	
	! !

!PEGArithmeticEvaluatorTest methodsFor: 'tests' stamp: 'chc 7/27/2015 16:40'!
testExpr
	| result |
	result := parser parse: 'Expr' stream: '((3+4)*2-4)/2' actor: PEGArithmeticEvaluator new.
	self assert: ( 5 = result )! !

!PEGArithmeticEvaluatorTest methodsFor: 'tests' stamp: 'chc 7/27/2015 16:41'!
testNumber
	| result |
	result := parser parse: 'Number' stream: '3456' actor: PEGArithmeticEvaluator new.
	self assert: (3456 = result )! !

!PEGArithmeticEvaluatorTest methodsFor: 'tests' stamp: 'chc 7/27/2015 16:41'!
testParenthesized
	| result |
	result := parser parse: 'Parenthesised' stream: '(4*5)' actor: PEGArithmeticEvaluator new.
	self assert: ( 20 = result )! !

!PEGArithmeticEvaluatorTest methodsFor: 'tests' stamp: 'chc 7/27/2015 16:41'!
testProduct
	| result |
	result := parser parse: 'Product' stream: '3*4*5*6' actor: PEGArithmeticEvaluator new.
	self assert: (360 = result )! !

!PEGArithmeticEvaluatorTest methodsFor: 'tests' stamp: 'chc 7/27/2015 16:41'!
testSum
	| result |
	result := parser parse: 'Sum' stream: '4+5' actor: PEGArithmeticEvaluator new.
	self assert: (9 = result )! !

TestCase subclass: #PEGWikiGeneratorTest
	instanceVariableNames: 'parser'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Tests'!

!PEGWikiGeneratorTest commentStamp: 'chc 7/22/2015 15:10' prior: 0!
A terminal here is an OrderedCollection that does not contain another OrderedCollection. A terminal's contents is chars or strings. In the #grammarWiki that could be: 

Bold <- "*" Flow{"*"}

Angle brackets (i.e. {}) show that something is optional. To create a bold word you need an asterisk befor a or line. It will not contain any further OrderedCollections.  !

!PEGWikiGeneratorTest methodsFor: 'private' stamp: 'chc 7/28/2015 15:26'!
setUp
	| grammar |
	grammar := PEGParser grammarWiki.
	parser := PEGParser parserPEG parse: 'Grammar' stream: grammar actor: PEGParserParser new.
	! !

!PEGWikiGeneratorTest methodsFor: 'lexical' stamp: 'chc 10/27/2015 10:28'!
testBold
	| result |
	result := parser parse: 'Bold' stream: '*Taco Bell*' actor: PEGWikiGenerator new.
	self assert: ( '<b>Taco Bell</b>' = result )! !

!PEGWikiGeneratorTest methodsFor: 'structural' stamp: 'chc 7/28/2015 16:28'!
testBullet1
	| result |
	result := parser parse: 'Bullet1' stream: ' *First Item' actor: PEGWikiGenerator new.
	self assert: ( '<li>First Item</li>' = result )! !

!PEGWikiGeneratorTest methodsFor: 'lexical' stamp: 'chc 7/28/2015 16:19'!
testCode
	| result |
	result := parser parse: 'Code' stream: '{{{
code
}}}' actor: PEGWikiGenerator new.
	self assert: ( '<pre>
code
</pre>' = result )! !

!PEGWikiGeneratorTest methodsFor: 'structural' stamp: 'chc 7/28/2015 15:44'!
testHeading1
	| result |
	result := parser parse: 'Heading1' stream: '  = BigDay =
				' actor: PEGWikiGenerator new.
	self assert: ( '<h1>BigDay</h1>' = result )! !

!PEGWikiGeneratorTest methodsFor: 'structural' stamp: 'chc 7/28/2015 15:45'!
testHeading2
	| result |
	result := parser parse: 'Heading2' stream: '  == BigDay ==
				' actor: PEGWikiGenerator new.
	self assert: ( '<h2>BigDay</h2>' = result )! !

!PEGWikiGeneratorTest methodsFor: 'structural' stamp: 'chc 7/28/2015 15:46'!
testHeading3
	| result |
	result := parser parse: 'Heading3' stream: '  === BigDay ===
				' actor: PEGWikiGenerator new.
	self assert: ( '<h3>BigDay</h3>' = result )! !

!PEGWikiGeneratorTest methodsFor: 'structural' stamp: 'chc 7/28/2015 15:46'!
testHeading4
	| result |
	result := parser parse: 'Heading4' stream: '  ==== BigDay ====
				' actor: PEGWikiGenerator new.
	self assert: ( '<h4>BigDay</h4>' = result )! !

!PEGWikiGeneratorTest methodsFor: 'lexical' stamp: 'chc 10/27/2015 10:28'!
testItalic
	| result |
	result := parser parse: 'Italic' stream: '_Taco Bell_' actor: PEGWikiGenerator new.
	self assert: ( '<i>Taco Bell</i>' = result )! !

!PEGWikiGeneratorTest methodsFor: 'lexical' stamp: 'chc 7/28/2015 15:34'!
testLink
	| result |
	result := parser parse: 'LinkShort' stream: '[abc]' actor: PEGWikiGenerator new.
	self assert: ( '<a href="http://www.abc.com">abc</a>' = result )! !

!PEGWikiGeneratorTest methodsFor: 'structural' stamp: 'chc 7/28/2015 15:49'!
testPage
	| result |
	result := parser parse: 'Page' stream: 'Taco Bell' actor: PEGWikiGenerator new.
	self assert: ( '<div><p>Taco Bell</p></div>' = result )! !

!PEGWikiGeneratorTest methodsFor: 'structural' stamp: 'chc 7/28/2015 15:50'!
testParagraph
	| result |
	result := parser parse: 'Page' stream: 'Taco Bell' actor: PEGWikiGenerator new.
	self assert: ( '<div><p>Taco Bell</p></div>' = result )! !
